
Redmine - Defect #20153

Ajax indicator ajaxComplete/ajaxStop do not fire at (document).ready

2015-06-23 02:11 - georgi ivanov

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Ajax loading bar does not hide after the document jquery ajaxStart event fires it.

Temporary workaround would be if we add:

function hideAjaxIndicator() {

  $('#ajax-indicator').hide();

}

$(document).ready(function () {

  setTimeout(hideAjaxIndicator, 1000);

});

to application.js in public/javascript

which will force initial .hide on ajaxindicator.

History

#1 - 2015-06-27 12:12 - Jean-Philippe Lang

- Status changed from New to Needs feedback

Can't reproduce. Please read SubmittingBugs.

#2 - 2015-07-22 01:59 - Toshi MARUYAMA

- Description updated
